<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2011-06-18 13:30:41
 */
class BookPayLogAction extends BaseAction
{
    public function run()
    {
    	$criteria = $this->_buildCriteria(new CDbCriteria());
        //put your code here
        $dataProvider = new CActiveDataProvider('BookPayLogs',array(
        	'pagination' => array(
        		'pageSize' => 20
        	),
        	'sort' => array(
        		'defaultOrder' => 'id DESC',
        	),
        ));
        $dataProvider->setCriteria($criteria);
        
		$this->getController()->render('bookpaylog', array(
			'dataProvider' => $dataProvider,
		));
    }
    
    /**
     * 根据url后面传递进来的参数获取一个查询条件
     * @param CDbCriteria $criteria
     * @return CDbCriteria
     */
    private function _buildCriteria(CDbCriteria $criteria)
    {
    	// 完善此功能
    	return Helper::buildCriteria($criteria, $_GET);
    }
}